<!DOCTYPE HTML SYSTEM>
<!-- Generated by Lisaac shorter / html style -->
<html>
<head>
<title>
Lisaac prototype interface
</title>
</head>
<body BGCOLOR="#FFFFFF">

 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Header</font></strong>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">name</font></strong>        := <a href="EDGE.html"><font color="#008000">EDGE</font></a>;
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">comment</font></strong>     := <font color="#BC8F8F">"Sub prototype for BITMAP.polygone"</font>;
  
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Inherit</font></strong>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">parent_object</font></strong>:<a href="OBJECT.html"><font color="#008000">OBJECT</font></a> :=   
  
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Public</font></strong>
  
  <br><font FACE="Sans-serif" color="#000000"><B> Make.</B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">y</font></strong>:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>;
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">x</font></strong>:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>;   
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">width</font></strong>:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>;
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">dx</font></strong>:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>;  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  REAL_24_8</font></strong></em>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">is_down</font></strong>:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a>;
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">is_point</font></strong>:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a>;
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">x0</font></strong>:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <- 
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">y0</font></strong>:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <- 
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">x1</font></strong>:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <- 
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">y1</font></strong>:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <- 
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">next_y</font></strong>:<a href="EDGE.html"><font color="#008000">EDGE</font></a>;
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">prev_x</font></strong>:<a href="EDGE.html"><font color="#008000">EDGE</font></a>;  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  doubly linked list</font></strong></em>
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">next_x</font></strong>:<a href="EDGE.html"><font color="#008000">EDGE</font></a>;
  
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Function.</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> </B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">make</font></strong> (xx,yy:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>) <strong><font color="#0000FF">add</font></strong> inc:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <-
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  Flat.</font></strong></em>
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">make</font></strong> (xx,yy:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>) <strong><font color="#0000FF">to</font></strong> (xx1,yy1:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>) <-
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  Line.</font></strong></em>
        
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">set_next_x</font></strong> new:<a href="EDGE.html"><font color="#008000">EDGE</font></a> <-
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">set_prev_x</font></strong> new:<a href="EDGE.html"><font color="#008000">EDGE</font></a> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">set_next_y</font></strong> new:<a href="EDGE.html"><font color="#008000">EDGE</font></a> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">add</font></strong> old_root:<a href="EDGE.html"><font color="#008000">EDGE</font></a> :<a href="EDGE.html"><font color="#008000">EDGE</font></a> <-
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  Double link and sort with X.</font></strong></em>
      
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">next_line</font></strong> old_root:<a href="EDGE.html"><font color="#008000">EDGE</font></a> :<a href="EDGE.html"><font color="#008000">EDGE</font></a> <-
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  Remove double link.</font></strong></em>
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">new_step</font></strong> <-
    
</body>
</html>

